repo/gentoo:master commit in: sci-ml/FBGEMM/
"Alfredo Tupone" <[email protected]> Mon, 03 Aug 2026 07:42:42 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785742937.5bdcff2d16c44fea2ad844afe1d0ed358626db18.tupone@gentoo> |
commit: 5bdcff2d16c44fea2ad844afe1d0ed358626db18
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 3 07:40:51 2026 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Mon Aug 3 07:42:17 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bdcff2d
sci-ml/FBGEMM: add 1.7.0
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
sci-ml/FBGEMM/FBGEMM-1.7.0.ebuild | 73 +++++++++++++++++++++++++++++++++++++++
sci-ml/FBGEMM/Manifest | 1 +
2 files changed, 74 insertions(+)
diff --git a/sci-ml/FBGEMM/FBGEMM-1.7.0.ebuild b/sci-ml/FBGEMM/FBGEMM-1.7.0.ebuild
new file mode 100644
index 000000000000..47bb19314b94
--- /dev/null
+++ b/sci-ml/FBGEMM/FBGEMM-1.7.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..15} )
+inherit python-any-r1 flag-o-matic cmake
+
+DESCRIPTION="Facebook GEneral Matrix Multiplication"
+HOMEPAGE="https://github.com/pytorch/FBGEMM"
+SRC_URI="https://github.com/pytorch/${PN}/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+DEPEND="
+ dev-libs/asmjit:=
+ dev-libs/cpuinfo
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? ( dev-cpp/gtest )
+ doc? (
+ $(python_gen_any_dep '
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ dev-python/breathe[${PYTHON_USEDEP}]
+ ')
+ )
+ ${PYTHON_DEPS}
+"
+RESTRICT="!test? ( test )"
+
+python_check_deps() {
+ if use doc; then
+ python_has_version \
+ "dev-python/sphinx[${PYTHON_USEDEP}]" \
+ "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]" \
+ "dev-python/breathe[${PYTHON_USEDEP}]"
+ fi
+}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.3.0.2025.09.05-gentoo.patch
+)
+
+src_prepare() {
+ # Bug #855668
+ filter-lto
+
+ sed -i \
+ -e "/-Werror/d" \
+ CMakeLists.txt \
+ || die
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DFBGEMM_LIBRARY_TYPE=shared
+ -DFBGEMM_BUILD_BENCHMARKS=OFF
+ -DFBGEMM_BUILD_DOCS=$(usex doc ON OFF)
+ -DFBGEMM_BUILD_TESTS=$(usex test ON OFF)
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ OMP_STACKSIZE=512k cmake_src_test
+}
diff --git a/sci-ml/FBGEMM/Manifest b/sci-ml/FBGEMM/Manifest
index cd4655385d8f..da8b392b66fa 100644
--- a/sci-ml/FBGEMM/Manifest
+++ b/sci-ml/FBGEMM/Manifest
@@ -1 +1,2 @@
DIST FBGEMM-1.4.0.2025.12.10.tar.gz 3421280 BLAKE2B 238dfe3064e3d0b5089cbfe61250545c1e96b0f8f25d99c5cab65c2ae83a8b6baddd98352d71eacd6c905ad675c24c0ef727455ea16ac4b65456554c3812753e SHA512 32eeed2c104ca382fffb769a68b30623ecff7a657586034ad89dbb858d1ae6d8773cbd7aa2a451558520cd1eaa4c9bacaffe1d1aabe80a25dee7b2243707c121
+DIST FBGEMM-1.7.0.tar.gz 3652598 BLAKE2B 4fe4e1f0fc81b28ef204a5105eef648ea15233c74776e80176b11c0f048ab6288ab23016c98b39a4a482e4ff3c5830700792eb9e593f1113eb28c96f86ed65ae SHA512 1b5a165e910352ea39ba09cafa7f010a98cadc9b0f97f0884235d561dacdac772c2e502f0c84405fb24b77fd5b88172c43ef93f1f2aa533a9e5a9281728487cb